Package org.kapott.hbci.sepa.jaxb.pain_001_001_11

# Class SupplementaryData1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_11.SupplementaryData1

public class SupplementaryData1 extends Object

Java class for SupplementaryData1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SupplementaryData1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PlcAndNm" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}Max350Text" minOccurs="0"/>
             <element name="Envlp" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}SupplementaryDataEnvelope1"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected SupplementaryDataEnvelope1`
`envlp`
`protected String`
`plcAndNm`

## Constructor Summary

Constructors
Constructor
Description
`SupplementaryData1()`

## Method Summary

Modifier and Type
Method
Description
`SupplementaryDataEnvelope1`
`getEnvlp()`
Gets the value of the envlp property.
`String`
`getPlcAndNm()`
Gets the value of the plcAndNm property.
`void`
`setEnvlp(SupplementaryDataEnvelope1 value)`
Sets the value of the envlp property.
`void`
`setPlcAndNm(String value)`
Sets the value of the plcAndNm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### plcAndNm

protected String plcAndNm

### envlp

protected SupplementaryDataEnvelope1 envlp

## Constructor Details

### SupplementaryData1

public SupplementaryData1()

## Method Details

### getPlcAndNm

public String getPlcAndNm()
Gets the value of the plcAndNm property.

Returns:
  possible object is `String`

### setPlcAndNm

public void setPlcAndNm(String value)
Sets the value of the plcAndNm property.

Parameters:
  `value` - allowed object is `String`

### getEnvlp

public SupplementaryDataEnvelope1 getEnvlp()
Gets the value of the envlp property.

Returns:
  possible object is `SupplementaryDataEnvelope1`

### setEnvlp

public void setEnvlp(SupplementaryDataEnvelope1 value)
Sets the value of the envlp property.

Parameters:
  `value` - allowed object is `SupplementaryDataEnvelope1`